package module

import (
	"fmt"

	"gitlab.alibaba-inc.com/pai_biz_arch/pairec/recconf"
)

type ItemStateFilterDao interface {
	Filter(uid UID, ids []*Item) (ret []*Item)
}

func NewItemStateFilterDao(config recconf.FilterConfig) ItemStateFilterDao {
	if config.ItemStateDaoConf.AdapterType == recconf.DaoConf_Adapter_Hologres {
		return NewItemStateFilterHologresDao(config)
	}

	panic(fmt.Sprintf("ItemStateFilterDao:not found, name:%s", config.Name))
}
